> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lehar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List attempts

> Per-recipient dialing/messaging attempts. Scope `campaigns:read`.



## OpenAPI

````yaml /api-reference/openapi.json get /campaigns/{campaign_id}/attempts
openapi: 3.1.0
info:
  title: Lehar API
  version: v0
  description: >-
    Customer-facing REST API for the Lehar voice-AI platform. Platform-admin
    endpoints are intentionally excluded from this reference. Regenerate with
    `npm run sync:openapi`.
servers:
  - url: https://api.lehar.ai/ca/api/v0
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /campaigns/{campaign_id}/attempts:
    get:
      tags:
        - Campaigns
      summary: List attempts
      description: Per-recipient dialing/messaging attempts. Scope `campaigns:read`.
      operationId: list_campaign_attempts_ca_api_v0_campaigns__campaign_id__attempts_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Paginated attempts
          content:
            application/json:
              example:
                data:
                  - id: attempt_01EXAMPLE
                    campaign_id: campaign_01EXAMPLE
                    recipient_id: recipient_01EXAMPLE
                    session_id: session_01EXAMPLE
                    channel: voice
                    attempt_number: 1
                    status: completed
                    scheduled_for: '2026-05-22T11:35:00Z'
                    started_at: '2026-05-22T11:35:02Z'
                    completed_at: '2026-05-22T11:37:20Z'
                    provider_message_id: null
                    error_code: null
                    error_message: null
                    from_number: '+911140000000'
                    result:
                      outcome: completed
                    created_at: '2026-05-22T11:35:00Z'
                    updated_at: '2026-05-22T11:37:20Z'
                pagination:
                  limit: 20
                  offset: 0
                  total: 1
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````